import axios from '../http'
import axiosForm from '../httpForm'

export default {
  /**
   * 获取随机数
   */
  getRandom (params) {
    return axios.get('user/random', { params })
  },
  /**
   * 获取随机数 针对内嵌版本
   */
  getRandom2 (params) {
    return axios.get('user/random2', { params })
  },
  /**
   * EOS登录
   */
  eosLogin (params) {
    return axios.post('user/eosLogin', params)
  },
  /**
   * EOS登录 针对内嵌版本
   */
  eosLogin2 (params) {
    return axios.post('user/eosLogin2', params)
  },
  /**
   * EOS账号绑定
   */
  eosBind (data) {
    return axios.request({
      url: 'user/eosBind',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * EOS账号绑定-最新
   */
  eosBind2 (data) {
    return axios.request({
      url: 'user/eosBind2',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * ETH登录
   */
  ethLogin (params) {
    return axios.post('user/ethLogin', params)
  },
  simplewalletCheck (params) {
    return axios.get('user/simplewalletCheck', { params, noErrorMsg: true })
  },
  /**
   * ETH绑定
   */
  ethBind (data) {
    return axios.request({
      url: 'user/ethBind',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * 解绑账号
   */
  unBind (data) {
    return axios.request({
      url: 'user/unbind',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * Telegram登录token
   */
  tgCSRF (data) {
    return axios.request({
      url: 'user/tgCSRF',
      method: 'post',
      data
    })
  },
  /**
   * Telegram登录
   */
  tgLogin2 (data) {
    return axios.request({
      url: 'user/tgLogin2',
      method: 'post',
      data
    })
  },
  /**
   * Telegram绑定
   */
  tgBind2 (data) {
    return axios.request({
      url: 'user/tgBind2',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * @des 校验本地登录态
   * @param {String} params.user_id
   * @param {String} params.token
   */
  checkLocalLogin (data) {
    return axios.request({
      url: 'user/checkLogin',
      method: 'post',
      data
    })
  },
  /**
   * 修改用户名
   */
  changeUserName (data) {
    return axios.request({
      url: 'user/changeUserName',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * 修改昵称
   */
  changeNickName (data) {
    return axios.request({
      url: 'user/changeNickName',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * 修改头像
   */
  changePhoto (data) {
    return axiosForm.request({
      url: 'user/changePhoto',
      method: 'post',
      data
    })
  },
  /**
   * 第三方账号是否可见
   */
  setVisible (data) {
    return axios.request({
      url: 'user/setVisible',
      method: 'post',
      needLogin: true,
      data
    })
  },
  /**
   * 账户个人信息
   */
  getInfo (params) {
    return axios.request({
      url: 'user/info',
      method: 'get',
      needLogin: true,
      params
    })
  },
  /**
   * 他人信息
   */
  getOtherInfo (params) {
    return axios.request({
      url: 'user/info',
      method: 'get',
      needLogin: false,
      params
    })
  }
}
